> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a user

PATCH https://api.getpostman.com/scim/v2/Users/{userId}
Content-Type: application/json

Updates a user in Postman.

**Reactivating a user**

By setting the `active` property from `false` to `true`, this reactivates an account. This allows the account to authenticate in to Postman and adds the account back on to your Postman team.


Reference: https://learning.postman.com/api-docs/api-reference/scim/update-scim-user

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/Users/{userId}:
    patch:
      operationId: updateScimUserPatch
      summary: Update a user
      description: >
        Updates a user in Postman.


        **Reactivating a user**


        By setting the `active` property from `false` to `true`, this
        reactivates an account. This allows the account to authenticate in to
        Postman and adds the account back on to your Postman team.
      tags:
        - scim
      parameters:
        - name: userId
          in: path
          description: The user's SCIM ID.
          required: true
          schema:
            $ref: '#/components/schemas/scimId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimUserResourceResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateScimUserPatchRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateScimUserPatch'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    scimId:
      type: string
      title: scimId
    UpdateScimUserPatchOneOf0OperationsItemsOp:
      type: string
      enum:
        - replace
      description: The operation to perform.
      title: UpdateScimUserPatchOneOf0OperationsItemsOp
    UpdateScimUserPatchOneOf0OperationsItemsValue:
      type: object
      properties:
        active:
          type: boolean
          description: >
            Sets the user's `active` state:

            - `true` — Activates the user. This lets them authenticate in to
            your Postman team.

            - `false` — Removes the user from your Postman team and deactivates
            the account. This blocks the user from authenticating in to Postman.
      description: The performed operation's value.
      title: UpdateScimUserPatchOneOf0OperationsItemsValue
    UpdateScimUserPatchOneOf0OperationsItems:
      type: object
      properties:
        op:
          $ref: '#/components/schemas/UpdateScimUserPatchOneOf0OperationsItemsOp'
          description: The operation to perform.
        value:
          $ref: '#/components/schemas/UpdateScimUserPatchOneOf0OperationsItemsValue'
          description: The performed operation's value.
      title: UpdateScimUserPatchOneOf0OperationsItems
    UpdateScimUserPatch0:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        Operations:
          type: array
          items:
            $ref: '#/components/schemas/UpdateScimUserPatchOneOf0OperationsItems'
          description: Information about the user update operation.
      title: UpdateScimUserPatch0
    UpdateScimUserPatchOneOf1OperationsItemsOp:
      type: string
      enum:
        - replace
      description: The operation to perform. Accepts the `replace` value.
      title: UpdateScimUserPatchOneOf1OperationsItemsOp
    UpdateScimUserPatchOneOf1OperationsItemsPath:
      type: string
      enum:
        - userName
      description: The operation's path. Accepts the `userName` value.
      title: UpdateScimUserPatchOneOf1OperationsItemsPath
    UpdateScimUserPatchOneOf1OperationsItems:
      type: object
      properties:
        op:
          $ref: '#/components/schemas/UpdateScimUserPatchOneOf1OperationsItemsOp'
          description: The operation to perform. Accepts the `replace` value.
        path:
          $ref: '#/components/schemas/UpdateScimUserPatchOneOf1OperationsItemsPath'
          description: The operation's path. Accepts the `userName` value.
        value:
          type: string
          format: email
          description: The user's email address.
      title: UpdateScimUserPatchOneOf1OperationsItems
    UpdateScimUserPatch1:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        Operations:
          type: array
          items:
            $ref: '#/components/schemas/UpdateScimUserPatchOneOf1OperationsItems'
          description: Information about the user update operation.
      title: UpdateScimUserPatch1
    updateScimUserPatch:
      oneOf:
        - $ref: '#/components/schemas/UpdateScimUserPatch0'
        - $ref: '#/components/schemas/UpdateScimUserPatch1'
      title: updateScimUserPatch
    ScimUserResourceResponseName:
      type: object
      properties:
        givenName:
          type: string
          description: The team member's first name.
        familyName:
          type: string
          description: The team member's last name.
      description: Information about the Postman team member.
      title: ScimUserResourceResponseName
    ScimUserResourceResponseMeta:
      type: object
      properties:
        resourceType:
          type: string
          description: The resource type.
        created:
          type: string
          format: date-time
          description: The date and time at which the team member was created.
        lastModified:
          type: string
          format: date-time
          description: The date and time at which the team member was last modified.
      description: The response's non-standard meta information.
      title: ScimUserResourceResponseMeta
    scimUserResourceResponse:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        id:
          type: string
          description: The team member's SCIM ID.
        userName:
          type: string
          description: The team member's SCIM username.
        name:
          $ref: '#/components/schemas/ScimUserResourceResponseName'
          description: Information about the Postman team member.
        externalId:
          type: string
          description: The team member's external ID.
        active:
          type: boolean
          description: If true, the team member is active.
        meta:
          $ref: '#/components/schemas/ScimUserResourceResponseMeta'
          description: The response's non-standard meta information.
      title: scimUserResourceResponse
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
    scimErrorScimType:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        scimType:
          type: string
          description: The SCIM error type.
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimErrorScimType
    UpdateScimUserPatchRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/scimError'
        - $ref: '#/components/schemas/scimErrorScimType'
      title: UpdateScimUserPatchRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
  "userName": "taylor.lee@example.com",
  "name": {
    "givenName": "Taylor",
    "familyName": "Lee"
  },
  "externalId": "12345678",
  "active": true,
  "meta": {
    "resourceType": "User",
    "created": "2021-02-22T04:24:13.000Z",
    "lastModified": "2021-02-22T04:24:13.000Z"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update SCIM User State



**Request**

```json
{
  "Operations": [
    {
      "op": "replace",
      "value": {
        "active": true
      }
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ]
}
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
  "userName": "taylor.lee@example.com",
  "name": {
    "givenName": "Taylor",
    "familyName": "Lee"
  },
  "externalId": "12345678",
  "active": true,
  "meta": {
    "resourceType": "User",
    "created": "2021-02-22T04:24:13.000Z",
    "lastModified": "2021-02-22T04:24:13.000Z"
  }
}
```

**SDK Code**

```python Update SCIM User State
import requests

url = "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

payload = {
    "Operations": [
        {
            "op": "replace",
            "value": { "active": True }
        }
    ],
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update SCIM User State
const url = 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"Operations":[{"op":"replace","value":{"active":true}}],"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update SCIM User State
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

	payload := strings.NewReader("{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"active\": true\n      }\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update SCIM User State
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"active\": true\n      }\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Update SCIM User State
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"active\": true\n      }\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}")
  .asString();
```

```php Update SCIM User State
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99', [
  'body' => '{
  "Operations": [
    {
      "op": "replace",
      "value": {
        "active": true
      }
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update SCIM User State
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"active\": true\n      }\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update SCIM User State
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "Operations": [
    [
      "op": "replace",
      "value": ["active": true]
    ]
  ],
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update SCIM User Username



**Request**

```json
{
  "Operations": [
    {
      "op": "replace",
      "path": "userName",
      "value": {}
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ]
}
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
  "userName": "taylor.lee@example.com",
  "name": {
    "givenName": "Taylor",
    "familyName": "Lee"
  },
  "externalId": "12345678",
  "active": true,
  "meta": {
    "resourceType": "User",
    "created": "2021-02-22T04:24:13.000Z",
    "lastModified": "2021-02-22T04:24:13.000Z"
  }
}
```

**SDK Code**

```python Update SCIM User Username
import requests

url = "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

payload = {
    "Operations": [
        {
            "op": "replace",
            "path": "userName",
            "value": {}
        }
    ],
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update SCIM User Username
const url = 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"Operations":[{"op":"replace","path":"userName","value":{}}],"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update SCIM User Username
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

	payload := strings.NewReader("{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"path\": \"userName\",\n      \"value\": {}\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update SCIM User Username
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"path\": \"userName\",\n      \"value\": {}\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Update SCIM User Username
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"path\": \"userName\",\n      \"value\": {}\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}")
  .asString();
```

```php Update SCIM User Username
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99', [
  'body' => '{
  "Operations": [
    {
      "op": "replace",
      "path": "userName",
      "value": {}
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update SCIM User Username
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"path\": \"userName\",\n      \"value\": {}\n    }\n  ],\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update SCIM User Username
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "Operations": [
    [
      "op": "replace",
      "path": "userName",
      "value": []
    ]
  ],
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Users/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```